using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int x1 = int.Parse(s[0]);
            int y1 = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            int x2 = int.Parse(s[0]);
            int y2 = int.Parse(s[1]);
            if (x1==y1 && x2==y2)
            {
                Console.WriteLine("1");
            }
            else if (x1==x2 || y1==y2)
            {
                Console.WriteLine("2");
            }
        }
    }
}